#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define	module zope.event
Summary:	Simple event system
Summary(pl.UTF-8):	Prosty system zdarzeń
Name:		python-%{module}
Version:	4.5.0
Release:	3
License:	ZPL v2.1
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/zope-event/
Source0:	https://files.pythonhosted.org/packages/source/z/zope.event/zope.event-%{version}.tar.gz
# Source0-md5:	bc38324cb29ce2d759c3cb56ea199995
URL:		https://www.zope.org/
%if %{with python2}
BuildRequires:	python >= 1:2.7
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-zope.testrunner
%endif
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.5
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-zope.testrunner
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
Requires:	python-modules >= 1:2.7
Requires:	python-zope-base
Obsoletes:	Zope-Event < 3.5.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The zope.event package provides a simple event system. It provides:
- an event publishing system
- a very simple event-dispatching system on which more sophisticated
  event dispatching systems can be built. (For example, a type-based
  event dispatching system that builds on zope.event can be found in
  zope.component)

%description -l pl.UTF-8
Pakiet zope.event udostępnia prosty system zdarzeń. Zawiera:
- system publikacji zdarzeń
- bardzo prosty system przekazywania zdarzeń, w oparciu o który można
  stworzyć bardziej wyszukane systemy przekazywania zdarzeń (na przykład
  system przekazywania zdarzeń oparty na typach, zbudowany w oparciu o
  zope.event, można znaleźć w zope.component)

%package -n python3-%{module}
Summary:	Simple event system
Summary(pl.UTF-8):	Prosty system zdarzeń
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5
Requires:	python3-zope-base

%description -n python3-%{module}
The zope.event package provides a simple event system. It provides:
- an event publishing system
- a very simple event-dispatching system on which more sophisticated
  event dispatching systems can be built. (For example, a type-based
  event dispatching system that builds on zope.event can be found in
  zope.component)

%description -n python3-%{module} -l pl.UTF-8
Pakiet zope.event udostępnia prosty system zdarzeń. Zawiera:
- system publikacji zdarzeń
- bardzo prosty system przekazywania zdarzeń, w oparciu o który można
  stworzyć bardziej wyszukane systemy przekazywania zdarzeń (na przykład
  system przekazywania zdarzeń oparty na typach, zbudowany w oparciu o
  zope.event, można znaleźć w zope.component)

%package apidocs
Summary:	API documentation for Python zope.event module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zope.event
Group:		Documentation

%description apidocs
API documentation for Python zope.event module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zope.event.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
%{__python} -m zope.testrunner --test-path=src
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
%{__python3} -m zope.testrunner --test-path=src
%endif
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install \
	--install-purelib=%{py_sitescriptdir}

%py_postclean
%endif

%if %{with python3}
%py3_install \
	--install-purelib=%{py3_sitescriptdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py_sitescriptdir}/zope/event
%{py_sitescriptdir}/zope.event-%{version}-py*.egg-info
%{py_sitescriptdir}/zope.event-%{version}-py*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/zope/event
%{py3_sitescriptdir}/zope.event-%{version}-py*.egg-info
%{py3_sitescriptdir}/zope.event-%{version}-py*-nspkg.pth
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-zope.event.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 34e7b04
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c3d4a36
- rebuild with python 3.10

* Tue Feb 22 2022 Jakub Bogusz <qboosh@pld-linux.org> c619f7f
- updated to 4.5.0
- versioned Obsoletes

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> ec51121
- release 4 (by relup.sh)

* Mon Mar 08 2021 Jan Rękorajski <baggins@pld-linux.org> d1f0e21
- release 3 (by relup.sh)

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e49dd1
- rel 2; looks noarch to me

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 4e39a7f
- use default (py3) sphinx-build

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 009fac4
- updated to 4.4
- added tests and apidocs

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> daa2a78
- rebuild with python 3.8
- release 3 (by relup.sh)

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 34674a0
- release 2 (by relup.sh)

* Fri May 04 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 20ecb65
- Python3 support added

* Fri May 04 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 304869f
- Version: 4.3.0

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> ca549da
- Zope-Event renamed to python-zope.event

* Mon Dec 07 2015 Elan Ruusamäe <glen@delfi.ee> f1bfdf5
- rebuild for pythonegg deps
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 718b86e
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 406229c
- automatic change: use py_build/py_install macros

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> 956d005
- BR: python-setuptools

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 16a8fbe
- release 2

* Wed Jun 03 2009 amateja <amateja@pld-linux.org> 122bfd5
- updated to 3.4.1

* Tue Dec 09 2008 wrobell <wrobell@pld-linux.org> 28a96df
- use pypi uri
- rel. 4

